# $Revision: 1.298 $, $Date: 2012/04/02 13:57:53 $
# TODO
# - fix broken linking, see filterout_ld
# - fix unref symbols:
#   Unresolved symbols found in: /usr/lib64/purple-2/libjabber.so.0
#   Unresolved symbols found in: /usr/lib64/purple-2/liboscar.so.0
#   Unresolved symbols found in: /usr/lib64/purple-2/libymsg.so.0
# - perl is installed to wrong dir on x8664:
#   /usr/lib/perl5/x86_64-pld-linux-thread-multi/perllocal.pod
# - subpackages for
#  - huge deps (mono...)
# - kerberos 4 with zephyr support?
# - external zephyr?
#   http://packages.qa.debian.org/z/zephyr.html
# - gtk3 status: http://developer.pidgin.im/wiki/GTK3
#
%bcond_without	cap		# without Contact Availability Prediction
%bcond_without	dbus		# without D-BUS (for pidgin-remote and others)
%bcond_without	doc		# do not generate and include documentation
%bcond_with	dotnet		# build with mono support
%bcond_without	perl		# build without Perl support
%bcond_without	evolution	# compile without the Pidgin-Evolution plugin
%bcond_with	gnutls		# use GnuTLS instead of NSS
%bcond_without	gtkspell	# without gtkspell support
%bcond_without	meanwhile	# without meanwhile support
%bcond_without	sasl		# disable SASL support
%bcond_without	text		# don't build text UI (finch)
%bcond_without 	silc		# Build without SILC libraries
%bcond_without 	nm		# NetworkManager support (requires D-Bus)

%if %{without dbus}
%undefine	with_nm
%endif

# plain i386 is not supported; mono uses cmpxchg/xadd which require i486
%ifarch i386
%undefine	with_dotnet
%endif

%define		gtk2_ver	2.10.6
%define		glib2_ver	2.24.0

%{?with_perl:%include	/usr/lib/rpm/macros.perl}
Summary:	A GTK+ based multiprotocol instant messaging client
Summary(de.UTF-8):	Pidgin ist ein Instant Messenger
Summary(hu.UTF-8):	Az AOL 'Instant Messenger'-ével kompatibilis kliens
Summary(ko.UTF-8):	AOL 인스턴트 메신저와 호환되는 클라이언트
Summary(pl.UTF-8):	Oparty na GTK+ klient komunikatorów obsługujący wiele protokołów
Summary(pt_BR.UTF-8):	Um cliente para o AOL Instant Messenger (AIM)
Name:		pidgin
Version:	2.10.3
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
# Source0-md5:	c2f799d45a934a2f0075e32ce49906e6
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-dbus-dir.patch
# Patch2:		%{name}-libgadu.patch
# http://developer.pidgin.im/ticket/14936
Patch3:		%{name}-port-to-farstream.patch
URL:		http://www.pidgin.im/
BuildRequires:	GConf2
BuildRequires:	GConf2-devel >= 2.16.0
%{?with_nm:BuildRequires:	NetworkManager-devel}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	avahi-devel
BuildRequires:	avahi-glib-devel
BuildRequires:	check >= 0.9.4
%{?with_sasl:BuildRequires:	cyrus-sasl-devel}
%{?with_dbus:BuildRequires:	dbus-glib-devel >= 0.71}
%{?with_evolution:BuildRequires:	evolution-data-server-devel >= 1.8.1}
BuildRequires:	farstream-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:%{glib2_ver}
%{?with_gnutls:BuildRequires:	gnutls-devel}
BuildRequires:	gstreamer-devel >= 0.10.10
BuildRequires:	gtk+2-devel >= 2:%{gtk2_ver}
%{?with_gtkspell:BuildRequires:	gtkspell-devel >= 1:2.0.16-2}
BuildRequires:	intltool
BuildRequires:	libgadu-devel
BuildRequires:	libidn-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.26
%{?with_meanwhile:BuildRequires:	meanwhile-devel >= 1.0.0}
%{?with_dotnet:BuildRequires:	mono-csharp}
%{?with_dotnet:BuildRequires:	mono-devel}
%{?with_text:BuildRequires:	ncurses-ext-devel}
BuildRequires:	rpm >= 4.4.9-56
%if %{without gnutls}
BuildRequires:	nspr-devel
BuildRequires:	nss-devel
%endif
%{?with_perl:BuildRequires:	perl-devel}
BuildRequires:	pkgconfig
BuildRequires:	python-modules >= 1:2.4
%{?with_perl:BuildRequires:	rpm-perlprov}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.583
%{?with_silc:BuildRequires:	silc-toolkit-devel >= 1.1}
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
%if %{with cap}
BuildRequires:	sqlite3-devel >= 3.3
%endif
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2 >= 2.16.0
Requires:	hicolor-icon-theme
Requires:	libpurple = %{version}-%{release}
Requires:	libpurple-protocol
Suggests:	enchant-myspell
Obsoletes:	gaim
Obsoletes:	gaim-ui
Obsoletes:	gaim-ui-gtk
# discontinued gaim plugins
Obsoletes:	gaim-encryption
Obsoletes:	gaim-plugin-tlen
Obsoletes:	gaim-plugin-xmms-remote
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# keep in sync ca-certificates
%if "%{pld_release}" == "th"
%define		openssldir	/etc/openssl/certs
%else
%define		openssldir	/var/lib/openssl/certs
%endif

# /usr/bin/ld: gntaccount.o: undefined reference to symbol 'cur_term'
# /usr/bin/ld: note: 'cur_term' is defined in DSO /lib64/libtinfow.so.6 so try adding it to the linker command line
# /lib64/libtinfow.so.6: could not read symbols: Invalid operation
%define		filterout_ld	-Wl,--no-copy-dt-needed-entries

# lots of purple and libxml syms
%define		skip_post_check_so	libjabber.so.0 libymsg.so.0 liboscar.so.0

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ,
IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and Zephyr.

The protocol plugins are packaged as libpurple-protocol-foo.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%description -l hu.UTF-8
A Pidgin-nel beszélhetsz bárkivel, aki az AOL Instant Messenger
szolgáltatását használja (a http://www.aim.aol.com oldalon
íratkozhatsz fel). Az AOL protokoll TOC verzióját használja, így a
partnerlistád az AOL szerverein tárolják, így bárhonnan hozzáférhetsz.
Sok szolgáltatását tartalmazza az AOL IM kliensének, sőt néhány új
lehetőséget is tartalmaz. A Pidgin több kapcsolódási lehetőséggel
rendelkezik, amely a pluginoknak köszönhető. Ezen pluginok
segítségével a következő szerverekhez csatlakozhatsz: Yahoo!, ICQ,
MSN, Jabber, Napster, Zephyr, IRC és Gadu-Gadu.

A protokollokat a libpurple-protocol-foo csomagok szállítják.

%description -l pl.UTF-8
Pidgin pozwala na rozmowy z osobami używającymi różnych protokołów
komunikatorów, w tym: AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple i Zephyr.

Wtyczki dla protokołów znajdują się w pakietach libpurple-protocol-*.

Pidgin obsługuje wiele popularnych funkcji innych klientów, a także
wiele własnych, takich jak obsługa skryptów perla i Tcl-a oraz wtyczek
w C.

Pidgin nie jest powiązany ani autoryzowany przez firmy America Online
Inc., Microsoft Corporation, Yahoo! Inc ani ICQ Inc.

%description -l pt_BR.UTF-8
Pidgin é um cliente para o AOL Instant Messenger (AIM) que usa o
serviço tik/toc da AOL. É desenvolvido ativamente e suporta muitas das
características do cliente da AOL, tendo uma interface similiar.
Também oferece suporte a outros protocolos, como: ICQ, IRC, Yahoo!,
MSN, Jabber e Napster.

%description -l de.UTF-8
Pidgin ist ein Instant Messenger der von Mark Spencer ursprünglich für
unixähnliche Systeme (GNU/Linux, BSD) geschrieben wurde, nun aber auch
auf Microsoft Windows und Mac OS X lauffähig ist und mit vielen
Plugins stark erweitert werden kann.

%package devel
Summary:	Development files for Pidgin client library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki klienta Pidgina
Group:		Development/Libraries
Requires:	gtk+2-devel >= 2:%{gtk2_ver}
Requires:	libpurple-devel = %{version}-%{release}
Obsoletes:	gaim-devel

%description devel
Development files for Pidgin.

%description devel -l hu.UTF-8
Fejléc fájlok Pidginhez.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Pidgina.

%package -n libpurple
Summary:	libpurple library for IM clients like Pidgin and Finch
Summary(pl.UTF-8):	Biblioteka libpurple dla klientów komunikatorów, takich jak Pidgin czy Finch
Group:		Applications/Networking
Requires:	ca-certificates
%{?with_sasl:Requires:	cyrus-sasl-digest-md5}
%{?with_sasl:Requires:	cyrus-sasl-plain}
Requires:	glib2 >= 1:%{glib2_ver}
Obsoletes:	libpurple-protocol-dir < 2.6.6-2
Obsoletes:	pidgin-libs < 2.6.6-2

%description -n libpurple
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM,
MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise,
QQ, Lotus Sametime, SILC, Simple and Zephyr.

%description -n libpurple -l pl.UTF-8
libpurple zawiera podstawową obsługę komunikacji dla klientów
komunikatorów takich jak Pidgin czy Finch.

libpurple obsługuje wiele protokołów komunikatorów, w tym AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple i Zephyr.

%package -n libpurple-devel
Summary:	Development headers and other files libpurple
Summary(pl.UTF-8):	Pliki nagłówkowe i inne programistyczne do biblioteki libpurple
Group:		Applications/Networking
Requires:	libpurple = %{version}-%{release}
%if %{with dbus}
Requires:	dbus-devel >= 0.60
%endif
Requires:	dbus-glib-devel >= 0.70
Obsoletes:	pidgin-devel < 2.6.6-2

%description -n libpurple-devel
The libpurple-devel package contains the header files and other
development files required for development of libpurple based instant
messaging clients or plugins for any libpurple based client.

%description -n libpurple-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe oraz inne niezbędne do
programowania komunikatorów opartych na bibliotece libpurple oraz
wtyczek dla tej biblioteki.

%package -n libpurple-perl
Summary:	Perl scripting support for libpurple
Summary(pl.UTF-8):	Obsługa skryptów Perla dla libpurple
Group:		Applications/Networking
Requires:	libpurple = %{version}-%{release}

%description -n libpurple-perl
Perl plugin loader for libpurple. This package will allow you to write
or use libpurple plugins written in the Perl programming language.

%description -n libpurple-perl -l pl.UTF-8
Moduł wczytujący wtyczki perlowe dla libpurple. Umożliwia tworzenie
oraz wykorzystywanie wtyczek dla libpurple napisanych w języku Perl.

%package -n libpurple-tcl
Summary:	Tcl scripting support for libpurple
Summary(hu.UTF-8):	Pidgin fájlok Tcl szkriptekhez
Summary(pl.UTF-8):	Obsługa skryptów Tcl-a dla libpurple
Group:		Libraries
Requires:	libpurple = %{version}-%{release}
Obsoletes:	gaim-tcl
Obsoletes:	pidgin-tcl

%description -n libpurple-tcl
Tcl plugin loader for libpurple. This package will allow you to write
or use libpurple plugins written in the Tcl programming language.

%description -n libpurple-tcl -l hu.UTF-8
Ezzel a csomaggal lehetőséged nyílik a Pidgin lehetőségeit bővíteni
Tcl szkriptekkel.

%description -n libpurple-tcl -l pl.UTF-8
Moduł wczytujący wtyczki Tcl-a dla libpurple. Umożliwia tworzenie oraz
wykorzystywanie wtyczek dla libpurple napisanych w języku Tcl.

%package -n finch
Summary:	A text-based user interface for Pidgin
Summary(pl.UTF-8):	Tekstowy interfejs użytkownika dla Pidgina
Group:		Applications/Networking
Requires:	libpurple = %{version}-%{release}

%description -n finch
A text-based user interface for using libpurple. This can be run from
a standard text console or from a terminal within X Window System. It
uses ncurses and our homegrown gnt library for drawing windows and
text.

%description -n finch -l pl.UTF-8
Tekstowy interfejs użytkownika wykorzystujący libpurple. Może być
uruchamiany na standardowej konsoli tekstowej lub z poziomu terminala
w systemi X Window. Wykorzystuje ncurses oraz własną bibliotekę gnt do
rysowania okien i wyświetlania tekstu.

%package -n finch-devel
Summary:	Header files and similar for Finch stuffs
Summary(pl.UTF-8):	Pliki nagłówkowe do elementów Fincha
Group:		Applications/Networking
Requires:	finch = %{version}-%{release}
Requires:	libpurple-devel = %{version}-%{release}
Requires:	ncurses-devel

%description -n finch-devel
The finch-devel package contains the header files and other
development files required for development of Finch scripts and
plugins.

%description -n finch-devel -l pl.UTF-8
Ten pakiet zwiera pliki nagłówkowe oraz inne niezbędne do
programowania skryptów oraz wtyczek do Fincha.

%package perl
Summary:	Pidgin files for Perl scripts
Summary(hu.UTF-8):	Pidgin fájlok Perl szkriptekhez
Summary(pl.UTF-8):	Pliki Pidgina dla skryptów w Perlu
Group:		Libraries
Requires:	libpurple = %{version}-%{release}
Requires:	libpurple-perl = %{version}-%{release}
Obsoletes:	gaim-perl

%description perl
This package gives you ability to extend Pidgin functionality with
Perl scripts.

%description perl -l hu.UTF-8
Ezzel a csomaggal lehetőséged nyílik a Pidgin lehetőségeit bővíteni
Perl szkriptekkel.

%description perl -l pl.UTF-8
Ten pakiet daje możliwość rozszerzania funkcjonalności Pidgina za
pomocą skryptów Perla.

%package plugin-evolution
Summary:	Plugin for Ximian Evolution integration
Summary(hu.UTF-8):	Plugin az Evolution-ba beépítéséhez
Summary(pl.UTF-8):	Wtyczka do integracji z Evolution
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gaim-plugin-evolution

%description plugin-evolution
Provides integration with Ximian Evolution.

%description plugin-evolution -l hu.UTF-8
Plugin az Evolution-ba beépítéséhez.

%description plugin-evolution -l pl.UTF-8
Wtyczka do integracji z Evolution.

%package plugin-remote
Summary:	Pidgin Remote Control
Summary(hu.UTF-8):	Pidgin távoli irányítása
Summary(pl.UTF-8):	Zdalne sterowanie Pidginem
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gaim-plugin-remote

%description plugin-remote
This package gives Pidgin the ability to be remote-controlled through
third-party applications or through the pidgin-remote tool.

%description plugin-remote -l hu.UTF-8
Ezzel a csomaggal lehetőséged nyílik a Pidgint távolról irányítani
külső alkalmazásokkal vagy a pidgin-remote eszközzel.

%description plugin-remote -l pl.UTF-8
Ten pakiet daje możliwość zdalnego sterowania Pidginem przez inne
aplikacje albo narzędzie pidgin-remote.

%package -n libpurple-protocol-oscar
Summary:	Oscar protocol (AIM/ICQ Networks) support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu Oscar (sieci AIM/ICQ) dla biblioteki libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol
Obsoletes:	libpurple-protocol-aim
Obsoletes:	libpurple-protocol-icq

%description -n libpurple-protocol-oscar
Oscar protocol (AIM/ICQ Networks) support for libpurple.

%description -n libpurple-protocol-oscar -l pl.UTF-8
Obsługa protokołu Oscar (sieci AIM/ICQ) dla biblioteki libpurple.

%package -n libpurple-protocol-bonjour
Summary:	Bonjour protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu Bonjour dla biblioteki libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-bonjour
Bonjour protocol support for libpurple.

%description -n libpurple-protocol-bonjour -l pl.UTF-8
Obsługa protokołu Bonjour dla biblioteki libpurple.

%package -n libpurple-protocol-gg
Summary:	Gadu-Gadu protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu Gadu-Gadu dla biblioteki libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-gg
Gadu-Gadu protocol support for libpurple.

%description -n libpurple-protocol-gg -l pl.UTF-8
Obsługa protokołu Gadu-Gadu dla biblioteki libpurple.

%package -n libpurple-protocol-groupwise
Summary:	Novell GroupWise Messenger protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu aplikacji Novell GroupWise Messenger dla biblioteki libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-groupwise
Novell GroupWise Messenger protocol support for libpurple.

%description -n libpurple-protocol-groupwise -l pl.UTF-8
Obsługa protokołu aplikacji Novell GroupWise Messenger dla biblioteki
libpurple.

%package -n libpurple-protocol-irc
Summary:	IRC protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu IRC dla biblioteki libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-irc
IRC protocol support for libpurple.

%description -n libpurple-protocol-irc -l pl.UTF-8
Obsługa protokołu IRC dla biblioteki libpurple.

%package -n libpurple-protocol-msn
Summary:	MSN protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu MSN dla biblioteki libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-msn
MSN protocol support for libpurple.

%description -n libpurple-protocol-msn -l pl.UTF-8
Obsługa protokołu MSN dla biblioteki libpurple.

%package -n libpurple-protocol-mxit
Summary:	MXit protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu MXit dla libpurple
Group:		Applications/Communications
URL:		http://www.mxitlifestyle.com/
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol
Obsoletes:	libpurple-protocol-mtix

%description -n libpurple-protocol-mxit
MXit protocol support for libpurple.

%description -n libpurple-protocol-mxit -l pl.UTF-8
Obsługa protokołu MXit dla libpurple.

%package -n libpurple-protocol-myspace
Summary:	MySpaceIM protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu MySpaceIM dla libpurple
Group:		Applications/Communications
URL:		http://developer.pidgin.im/wiki/MySpaceIM
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-myspace
MySpaceIM protocol support for libpurple.

%description -n libpurple-protocol-myspace -l pl.UTF-8
Obsługa protokołu MySpaceIM dla libpurple.

%package -n libpurple-protocol-simple
Summary:	SIP/SIMPLE protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu SIP/SIMPLE dla libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-simple
SIP/SIMPLE protocol support for libpurple.

%description -n libpurple-protocol-simple -l pl.UTF-8
Obsługa protokołu SIP/SIMPLE dla libpurple.

%package -n libpurple-protocol-sametime
Summary:	Lotus Sametime protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu Lotus Sametime dla libpurple
Group:		Applications/Communications
URL:		http://meanwhile.sourceforge.net/
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-sametime
Lotus Sametime protocol support for libpurple. This plugin relies on
MeanWhile library.

%description -n libpurple-protocol-sametime -l pl.UTF-8
Obsługa protokołu Lotus Sametime dla libpurple. Ta wtyczka
wykorzystuje bibliotekę MeanWhile.

%package -n libpurple-protocol-silc
Summary:	SILC protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu SILC dla libpurple
Group:		Applications/Communications
URL:		http://silcnet.org/
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-silc
Secure Internet Live Conferencing (SILC) protocol support for
libpurple.

%description -n libpurple-protocol-silc -l pl.UTF-8
Obsługa protokołu SILC (Secure Internet Live Conferencing) dla
libpurple.

%package -n libpurple-protocol-yahoo
Summary:	Yahoo! protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu Yahoo! dla libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-yahoo
Yahoo! and Yahoo! JAPAN protocol support for libpurple.

%description -n libpurple-protocol-yahoo -l pl.UTF-8
Obsługa protokołów Yahoo! i Yahoo! JAPAN dla libpurple.

%package -n libpurple-protocol-xmpp
Summary:	XMPP (Jabber, GTalk) protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu XMPP (Jabber, GTalk) dla libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol
Obsoletes:	libpurple-protocol-jabber

%description -n libpurple-protocol-xmpp
Extensible Messaging and Presence Protocol (XMPP) protocol support for
libpurple. This protocol is used by e.g. Jabber or GTalk.

%description -n libpurple-protocol-xmpp -l pl.UTF-8
Obsługa protokołu XMPP (Extensible Messaging and Presence Protocol)
dla biblioteki libpurple. Protokół ten jest wykorzystywany m.in. przez
Jabbera i GTalk.

%package -n libpurple-protocol-zephyr
Summary:	Zephyr protocol support for libpurple
Summary(pl.UTF-8):	Obsługa protokołu Zephyr dla libpurple
Group:		Applications/Communications
Requires:	libpurple = %{version}-%{release}
Provides:	libpurple-protocol

%description -n libpurple-protocol-zephyr
Zephyr protocol support for libpurple.

%description -n libpurple-protocol-zephyr -l pl.UTF-8
Obsługa protokołu Zephyr dla libpurple.

%package doc
Summary:	Pidgin documentation for developers (HTML format)
Summary(hu.UTF-8):	Pidgin dokumentáció fejlesztőknek (HTML formában)
Summary(pl.UTF-8):	Dokumentacja Pidgina dla programistów (format HTML)
Group:		Documentation
Obsoletes:	gaim-doc

%description doc
Pidgin documentation for developers (HTML format).

%description doc -l hu.UTF-8
Pidgin dokumentáció fejlesztőknek (HTML formátumban).

%description doc -l pl.UTF-8
Dokumentacja Pidgina dla programistów (format HTML).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%%patch2 -p1
%patch3 -p1

%build
%if %{with dotnet}
if [ ! -f /proc/cpuinfo ]; then
	echo >&2 "Mono requires /proc to be mounted."
	exit 1
fi
%endif

# %{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-extraversion=%{release} \
	--with-system-ssl-certs=%{openssldir} \
	--disable-schemas-install \
	--disable-silent-rules \
	%{!?with_gnutls:--enable-gnutls=no} \
	%{?with_gnutls:--enable-nss=no} \
	%{?with_doc:--enable-dot --enable-devhelp} \
	%{!?with_silc:--with-silc-includes=not_existent_directory} \
	%{?with_sasl:--enable-cyrus-sasl} \
	--%{?with_cap:en}%{!?with_cap:dis}able-cap \
	--%{?with_dbus:en}%{!?with_dbus:dis}able-dbus \
	--%{?with_nm:en}%{!?with_nm:dis}able-nm \
	--%{?with_evolution:en}%{!?with_evolution:dis}able-gevolution \
	--%{!?with_gtkspell:dis}%{?with_gtkspell:en}able-gtkspell \
	--%{!?with_dotnet:dis}%{?with_dotnet:en}able-mono \
	--%{!?with_perl:dis}%{?with_perl:en}able-perl \
	--%{?with_text:en}%{!?with_text:dis}able-consoleui \
	--with-gadu-libs=%{_libdir} \
	--with-gadu-includes=%{_includedir}

%{__make}
%{?with_doc:%{__make} docs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/purple

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/mhr
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/my{_MM,}
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/ms{_MY,}
%find_lang %{name} --with-gnome

%{__rm} $RPM_BUILD_ROOT%{_libdir}/finch/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnt/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pidgin/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/purple/ca-certs

%if %{with perl}
%{__rm} $RPM_BUILD_ROOT%{_prefix}/lib/perl5/*/perllocal.pod
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pidgin/perl/auto/Pidgin/.packlist
%{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/perl/auto/Purple/.packlist
%endif

%if %{with dbus}
%{__rm} $RPM_BUILD_ROOT%{_bindir}/purple-client-example
%{__rm} $RPM_BUILD_ROOT%{_libdir}/purple-2/dbus-example.so
%endif

# resolve soname symlinks, affected plugins have rpath pointing there
for a in $RPM_BUILD_ROOT%{_libdir}/purple-2/lib*.so.*.*.*; do
	soname=$(objdump -p $a | awk '/SONAME/{print $2}')
	mv $a $(dirname $a)/$soname
	rm ${a%.*.*.*}
done

# rm windows icons
%{__rm} $RPM_BUILD_ROOT%{_pixmapsdir}/pidgin/tray/*/*.ico

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install purple.schemas
%update_icon_cache hicolor
if [ "$1" = 1 ]; then
%banner %{name} -e <<-EOF
	Please do not forget to install libpurple-protocols what do you need!
EOF
fi

%preun
%gconf_schema_uninstall purple.schemas

%postun
%update_icon_cache hicolor

%post	-n libpurple -p /sbin/ldconfig
%postun	-n libpurple -p /sbin/ldconfig

%post	-n finch	-p /sbin/ldconfig
%postun	-n finch	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog{,.API} HACKING NEWS PLUGIN_HOWTO README*
%{_sysconfdir}/gconf/schemas/purple.schemas
%attr(755,root,root) %{_bindir}/pidgin
%dir %{_libdir}/pidgin
%if %{with cap}
%attr(755,root,root) %{_libdir}/pidgin/cap.so
%endif
%attr(755,root,root) %{_libdir}/pidgin/convcolors.so
%attr(755,root,root) %{_libdir}/pidgin/extplacement.so
%attr(755,root,root) %{_libdir}/pidgin/pidginrc.so
%attr(755,root,root) %{_libdir}/pidgin/gestures.so
%attr(755,root,root) %{_libdir}/pidgin/gtkbuddynote.so
%attr(755,root,root) %{_libdir}/pidgin/history.so
%attr(755,root,root) %{_libdir}/pidgin/iconaway.so
%attr(755,root,root) %{_libdir}/pidgin/markerline.so
%attr(755,root,root) %{_libdir}/pidgin/notify.so
%attr(755,root,root) %{_libdir}/pidgin/relnot.so
%attr(755,root,root) %{_libdir}/pidgin/spellchk.so
%attr(755,root,root) %{_libdir}/pidgin/ticker.so
%attr(755,root,root) %{_libdir}/pidgin/timestamp.so
%attr(755,root,root) %{_libdir}/pidgin/timestamp_format.so
%attr(755,root,root) %{_libdir}/pidgin/vvconfig.so
%attr(755,root,root) %{_libdir}/pidgin/xmppconsole.so
%attr(755,root,root) %{_libdir}/pidgin/sendbutton.so
%attr(755,root,root) %{_libdir}/pidgin/themeedit.so
%attr(755,root,root) %{_libdir}/pidgin/xmppdisco.so
%if %{with dbus}
%attr(755,root,root) %{_libdir}/pidgin/musicmessaging.so
%endif
%{_mandir}/man1/pidgin.1*

%{_desktopdir}/pidgin.desktop
%{_pixmapsdir}/pidgin
%{_iconsdir}/hicolor/*/apps/pidgin.png
%{_iconsdir}/hicolor/*/apps/pidgin.svg

%files -n libpurple
%defattr(644,root,root,755)
%doc libpurple/purple-notifications-example
%dir %{_sysconfdir}/purple
%attr(755,root,root) %{_libdir}/libpurple.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpurple.so.0
%if %{with dbus}
%attr(755,root,root) %{_libdir}/libpurple-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpurple-client.so.0
%endif
%dir %{_libdir}/purple-2
%attr(755,root,root) %{_libdir}/purple-2/autoaccept.so
%attr(755,root,root) %{_libdir}/purple-2/buddynote.so
%attr(755,root,root) %{_libdir}/purple-2/idle.so
%attr(755,root,root) %{_libdir}/purple-2/joinpart.so
%attr(755,root,root) %{_libdir}/purple-2/log_reader.so
%attr(755,root,root) %{_libdir}/purple-2/newline.so
%attr(755,root,root) %{_libdir}/purple-2/offlinemsg.so
%attr(755,root,root) %{_libdir}/purple-2/psychic.so
%attr(755,root,root) %{_libdir}/purple-2/ssl.so
%{?with_gnutls:%attr(755,root,root) %{_libdir}/purple-2/ssl-gnutls.so}
%{!?with_gnutls:%attr(755,root,root) %{_libdir}/purple-2/ssl-nss.so}
%attr(755,root,root) %{_libdir}/purple-2/statenotify.so
%if %{with dotnet}
#%attr(755,root,root) %{_libdir}/purple-2/*.dll
#%attr(755,root,root) %{_libdir}/purple-2/mono.so
%endif

%{_datadir}/sounds/purple
%dir %{_datadir}/purple
%if %{with dbus}
%attr(755,root,root) %{_bindir}/purple-send
%attr(755,root,root) %{_bindir}/purple-send-async
%attr(755,root,root) %{_bindir}/purple-url-handler
%endif

%files -n libpurple-devel
%defattr(644,root,root,755)
%{_aclocaldir}/purple.m4
%attr(755,root,root) %{_libdir}/libpurple.so
%{_libdir}/libpurple.la
%{_includedir}/libpurple
%{_pkgconfigdir}/purple.pc
%if %{with dbus}
%attr(755,root,root) %{_libdir}/libpurple-client.so
%{_libdir}/libpurple-client.la
%endif

%if %{with perl}
%files -n libpurple-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/perl.so
%dir %{_libdir}/purple-2/perl
%{_libdir}/purple-2/perl/*.pm
%dir %{_libdir}/purple-2/perl/auto
%dir %{_libdir}/purple-2/perl/auto/Purple
%{_libdir}/purple-2/perl/auto/Purple/*.bs
%{_libdir}/purple-2/perl/auto/Purple/*.ix
%attr(755,root,root) %{_libdir}/purple-2/perl/auto/Purple/*.so
%{_mandir}/man3/Purple.3pm*
%endif

%files -n libpurple-tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/tcl.so

%if %{with text}
%files -n finch
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/finch
%attr(755,root,root) %{_libdir}/libgnt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnt.so.0
%dir %{_libdir}/finch
%attr(755,root,root) %{_libdir}/finch/gntclipboard.so
%attr(755,root,root) %{_libdir}/finch/gntgf.so
%attr(755,root,root) %{_libdir}/finch/gnthistory.so
%attr(755,root,root) %{_libdir}/finch/gntlastlog.so
%attr(755,root,root) %{_libdir}/finch/gnttinyurl.so
%attr(755,root,root) %{_libdir}/finch/grouping.so
%dir %{_libdir}/gnt
%attr(755,root,root) %{_libdir}/gnt/*.so
%{_mandir}/man1/finch.*

%files -n finch-devel
%defattr(644,root,root,755)
%{_includedir}/finch
%{_includedir}/gnt
%attr(755,root,root) %{_libdir}/libgnt.so
%{_libdir}/libgnt.la
%{_pkgconfigdir}/finch.pc
%{_pkgconfigdir}/gnt.pc
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/pidgin
%{_pkgconfigdir}/pidgin.pc

%if %{with perl}
%files perl
%defattr(644,root,root,755)
%dir %{_libdir}/pidgin/perl
%{_libdir}/pidgin/perl/*.pm
%dir %{_libdir}/pidgin/perl/auto
%dir %{_libdir}/pidgin/perl/auto/Pidgin
%{_libdir}/pidgin/perl/auto/Pidgin/*.bs
%attr(755,root,root) %{_libdir}/pidgin/perl/auto/Pidgin/*.so
%{_mandir}/man3/Pidgin.3pm*
%endif

%if %{with evolution}
%files plugin-evolution
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pidgin/gevolution.so
%endif

%if %{with dbus}
%files plugin-remote
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/purple-remote
%endif

%files -n libpurple-protocol-oscar
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libicq.so
%attr(755,root,root) %{_libdir}/purple-2/libaim.so
# shared library for aim/icq protocols
%attr(755,root,root) %{_libdir}/purple-2/liboscar.so.0

%files -n libpurple-protocol-bonjour
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libbonjour.so

%files -n libpurple-protocol-gg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libgg.so

%files -n libpurple-protocol-groupwise
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libnovell.so

%files -n libpurple-protocol-irc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libirc.so

%files -n libpurple-protocol-msn
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libmsn.so

%files -n libpurple-protocol-myspace
%defattr(644,root,root,755)
%doc libpurple/protocols/myspace/README
%attr(755,root,root) %{_libdir}/purple-2/libmyspace.so

%files -n libpurple-protocol-mxit
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libmxit.so

%files -n libpurple-protocol-simple
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libsimple.so

%if %{with silc}
%files -n libpurple-protocol-silc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libsilcpurple.so
%endif

%if %{with meanwhile}
%files -n libpurple-protocol-sametime
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libsametime.so
%endif

%files -n libpurple-protocol-xmpp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libxmpp.so
%attr(755,root,root) %{_libdir}/purple-2/libjabber.so.0

%files -n libpurple-protocol-zephyr
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libzephyr.so

%files -n libpurple-protocol-yahoo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/libyahoo.so
%attr(755,root,root) %{_libdir}/purple-2/libyahoojp.so
%attr(755,root,root) %{_libdir}/purple-2/libymsg.so.0

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/html/*.{html,png,css}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pidgin.spec,v $
Revision 1.298  2012/04/02 13:57:53  megabajt
- updated to 2.10.3

Revision 1.297  2012/04/02 13:42:56  megabajt
- ported to farstream
- release 2

Revision 1.296  2012/03/16 22:30:11  zbyniu
- up to 2.10.2 (security fixes)

Revision 1.295  2011/12/11 19:39:37  cactus
- up to 2.10.1; TODO dotnet

Revision 1.294  2011/10/06 18:00:08  megabajt
- release 3

Revision 1.293  2011/09/01 17:03:39  arekm
- release 2

Revision 1.292  2011/08/26 12:08:12  glen
- up to 2.10.0

Revision 1.291  2011/07/12 08:41:12  lisu
- removed everything connected with libpurple-protocol-qq subpackage

Revision 1.290  2011/07/11 11:10:57  glen
- move purple.schemas to main pkg (to avoid gconf dep on libpurple and setup already in main pkg)

Revision 1.289  2011/06/24 07:50:34  lisu
- updated to 2.9.0
- gtk_policy_automatic.patch applied upstream

Revision 1.288  2011/06/21 21:31:27  megabajt
- install scalable icons
- disable silent rules

Revision 1.287  2011/06/09 18:47:50  witekfl
- rel 2

Revision 1.286  2011/06/09 17:47:19  witekfl
- 2.8.0
- added gtk_policy_automatic.patch (probably typo in sources)
- explicit libgadu libs and includes in configure
- qq module was removed from pidgin sources

Revision 1.285  2011/04/07 11:34:44  megabajt
- release 2 (rebuild with NM 0.9)

Revision 1.284  2011/03/26 09:29:24  qboosh
- updated pl
- ca@valencia locale is supported now (via LANGUAGE)

Revision 1.283  2011/03/12 16:06:50  glen
- up to 2.7.11

Revision 1.282  2011/02/11 14:23:50  lisu
- updated to 2.7.10
- fix %files after wiget broke it

Revision 1.281  2011/02/04 18:23:59  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.280  2010/12/29 08:38:48  lisu
- updated to 2.7.9
- use rm macros and drop obsoleted ones

Revision 1.279  2010/12/27 15:02:29  glen
- fix locale before find_lang

Revision 1.278  2010/12/24 13:28:48  glen
- remove mhr locale; rel 2

Revision 1.277  2010/12/20 16:32:23  glen
- up to 2.7.8

Revision 1.276  2010/12/05 21:21:32  glen
- use system ca-certificates
- include rpm release in about dialog
- --disable-schemas-install

Revision 1.275  2010/11/24 16:22:54  glen
- up to 2.7.7

Revision 1.274  2010/11/23 06:16:14  glen
- up to 2.7.6

Revision 1.273  2010/11/01 13:43:48  glen
- up to 2.7.5

Revision 1.272  2010/10/26 12:50:00  glen
- up to 2.7.4

Revision 1.271  2010/08/24 18:10:34  hawk
- release 2

Revision 1.270  2010/08/12 19:24:33  witekfl
- 2.7.3

Revision 1.269  2010/07/24 13:38:25  glen
- fix --without perl

Revision 1.268  2010/07/24 13:15:43  glen
- enable e-d-s

Revision 1.267  2010/07/24 12:56:21  glen
- up to 2.7.2
- add perl bcond, files cleanup

Revision 1.266  2010/07/23 21:23:18  rotom
- up 2.7.2

Revision 1.265  2010/07/09 11:20:58  arekm
- release 2

Revision 1.264  2010/06/01 10:15:27  glen
- up to 2.7.1

Revision 1.263  2010/05/14 13:47:02  uzsolt
- 2.7.0

Revision 1.262  2010/04/28 06:52:17  glen
- updated (english) desc/summary from fc; rel 5

Revision 1.261  2010/04/28 06:47:37  glen
- subpackages revisited, cleaned up descs

Revision 1.260  2010/04/27 06:05:39  glen
- just glib 2.24.0, not always (to avoid non-optimal deps in the future)

Revision 1.259  2010/04/26 21:09:56  glen
- obsoletes for pidgin-devel as well; rel 4

Revision 1.258  2010/04/26 20:22:35  glen
- obsolete removed packages; rel 3

Revision 1.257  2010/04/26 20:19:03  glen
- pidgin works; rel 2

Revision 1.256  2010/04/26 20:07:44  glen
- Require Binary Compatible glib (undefined symbol: g_malloc0_n)

Revision 1.255  2010/04/26 19:57:40  glen
- libpurple{,-devel}, finch{,-devel}, etc subpackages

Revision 1.254  2010/04/26 19:03:41  glen
- disable eds as not compatible with gnome 2.30

Revision 1.253  2010/02/19 18:30:58  rotom
- 2.6.6

Revision 1.252  2010/02/16 21:26:13  ankry
- my already supported

Revision 1.251  2010/02/06 09:07:53  uzsolt
- remove libpng-specific TODO
- rel 2 (seems, it works)
- rebuild

Revision 1.250  2010/02/05 21:14:05  uzsolt
- change requires gtkspell version (to build with libpng14)

Revision 1.249  2010/01/31 12:41:17  uzsolt
- TODO (fix build with libpng1.4)
- rel 1.1

Revision 1.248  2010/01/15 15:34:24  uzsolt
- 2.6.5
- rel 1 (2.6.4 with subpackages works well)

Revision 1.247  2009/12/22 12:41:54  uzsolt
- more protocol subpackages

Revision 1.246  2009/12/22 12:03:26  uzsolt
- xmpp "provides" gtalk protocol (sum and desc)
- change todo

Revision 1.245  2009/12/22 11:43:32  uzsolt
- libpurple-protocol-foo provides libpurple-protocol
- pidgin requires libpurple-protocol
- libpurple-protocol-dir subpackage
- please update pl description!

Revision 1.244  2009/12/22 09:46:18  glen
- suggest common protocols

Revision 1.243  2009/12/22 09:41:31  glen
- use libpurple for files in %{_libdir}/purple-2

Revision 1.242  2009/12/04 15:55:33  sparky
- BR: GConf2, libidn-devel

Revision 1.241  2009/12/04 12:35:03  glen
- libpurple could be externally used

Revision 1.240  2009/12/04 11:55:49  uzsolt
- begin of protocol subpackages
- rel 1.1

Revision 1.239  2009/12/03 18:49:11  uzsolt
- protocol-mxit subpackage
- fix ms_MY locale
- rel 1

Revision 1.238  2009/12/02 21:03:09  uzsolt
- 2.6.4
- rel 0.9 (some unpackaged files)

Revision 1.237  2009/11/09 21:03:52  megabajt
- missing dirs

Revision 1.236  2009/11/06 18:12:44  rotom
- up to 2.6.3

Revision 1.235  2009/09/06 13:15:01  radek
- version 2.6.2

Revision 1.234  2009/08/21 04:16:33  aredridel
- 2.6.1

Revision 1.233  2009/07/06 16:57:27  uzsolt
- 2.5.8
- hu summ and desc

Revision 1.232  2009/06/21 17:24:50  uzsolt
- 2.5.7

Revision 1.231  2009/05/28 09:32:15  megabajt
- updated source md5

Revision 1.230  2009/05/28 09:30:07  megabajt
- updated to 2.5.6 [fixes CVE-2009-1373, CVE-2009-1374, CVE-2009-1375, CVE-2009-1376]
- added -install.patch (fixes make install)
- removed obsolete -autoconf.patch

Revision 1.229  2009/03/08 19:55:15  rotom
- Suggests: enchant-myspell added

Revision 1.228  2009/03/08 18:06:07  rotom
- up to 2.5.5

Revision 1.227  2009/02/18 20:52:55  arekm
- release 2

Revision 1.226  2009/01/15 11:27:43  deejay1
- up to 2.5.4

Revision 1.225  2008/12/25 11:42:33  qboosh
- added gnutls bcond (should be preferred?); fixes unfinished files update

Revision 1.224  2008/12/22 22:04:32  rotom
- up to 2.5.3

Revision 1.223  2008/11/26 00:49:35  sls
- added CVE references

Revision 1.222  2008/11/10 18:49:09  glen
- release 2

Revision 1.221  2008/10/22 19:57:06  sls
- ver. 2.5.2

Revision 1.220  2008/10/04 22:06:03  megabajt
- release 2

Revision 1.219  2008/09/04 07:55:01  radek
- version 2.5.1

Revision 1.218  2008/08/26 23:09:55  glen
- force nss (gnutls also possible) as openssl is not capable for msn encrypt
- networkmanager bcond
- dot and devhelp for docs

Revision 1.217  2008/08/26 16:40:49  rotom
- up to 2.5.0 [fixes CVE-2008-3532]

Revision 1.216  2008/07/06 10:35:56  megabajt
- enable gevolution plugin when requested
- release 2

Revision 1.215  2008/07/06 10:02:29  megabajt
- added CVE references

Revision 1.214  2008/07/03 21:01:42  rotom
- up to 2.4.3 [fixes CVE-2008-2927, CVE-2008-2955]

Revision 1.213  2008-04-03 20:21:39  rotom
- 2.4.1

Revision 1.212  2008-03-01 16:32:52  qboosh
- verbose .pc files

Revision 1.211  2008-03-01 16:03:34  qboosh
- properly package soname symlinks

Revision 1.210  2008-03-01 15:48:44  rotom
- up to 2.4.0

Revision 1.209  2008-02-24 23:49:52  glen
- release 4

Revision 1.208  2008-01-17 00:07:47  glen
- rel 3

Revision 1.207  2007-12-17 22:19:59  glen
- rel 2

Revision 1.206  2007-12-09 09:10:43  rotom
- up to 2.3.1

Revision 1.205  2007-12-08 17:05:27  rotom
- up to 2.3.0

Revision 1.204  2007-11-07 00:25:41  glen
- rel 4

Revision 1.203  2007/11/04 23:54:25  qboosh
- obsolete dropped gaim plugins

Revision 1.202  2007/11/04 23:29:28  glen
- exclude i386 for dotnet (ac-branch merge)

Revision 1.201  2007/11/04 22:09:20  ankry
- missing O:, rel. 3

Revision 1.200  2007/10/31 08:57:01  glen
- update todo

Revision 1.199  2007/10/31 08:01:05  radek
- release 2: turned off dotnet bcond (56MB useless R is over the line)

Revision 1.198  2007/10/25 16:54:21  sls
- ver. 2.2.2 [fixes CVE-2007-4999]

Revision 1.197  2007/10/18 17:25:46  glen
- ac-branch merge; rel 1 as it's usable

Revision 1.196  2007/10/17 11:51:22  glen
- dotnet needs /proc
- cosmetics

Revision 1.195  2007/10/17 10:57:01  glen
- adapter

Revision 1.194  2007/09/30 23:26:41  qrczak
- intltoolize (needed with intltool-0.36.2)
- Release 0.2

Revision 1.193  2007/09/30 20:50:29  sls
- ver. 2.2.1 [fixes CVE-2007-4996]
- BR: mono-csharps (bcond dotnet needs mcs)

Revision 1.192  2007/09/30 16:32:09  deejay1
- BR: avahi-devel instead of avahi-compat-howl-devel is enough

Revision 1.191  2007/09/22 19:14:55  sls
- make -j1 again (make -j4 fails build mono stuff)

Revision 1.190  2007/09/20 22:04:31  sls
- it builds with parallel make (developer who silently commit "make -j1"
  should be ashamed)

Revision 1.189  2007/09/20 21:54:13  sls
- more fixes in files section

Revision 1.188  2007/09/20 16:01:18  sls
- files fixes (--without text, --without dbus)

Revision 1.187  2007/09/20 14:51:12  sls
- switched on silc bcond
- blocked silc autodetection when building without silc
- added TODO entry

Revision 1.186  2007/09/20 14:04:48  sls
- pidgin-2.2.0 works with silc-1.1
- package silc and myspace plugins
- removing more unused (?) *.la files
- updated TODO

Revision 1.185  2007/09/20 13:09:57  sls
- BR: startup-notification-devel (needed to "Use startup notification" feature)

Revision 1.184  2007/09/20 13:04:16  sls
- BR: xorg-lib-libXScrnSaver (needed to "Use XScreenSaver Extension")

Revision 1.183  2007/09/20 12:58:43  sls
- BR: xorg-lib-libSM-devel (needed to "Use X Session Management")

Revision 1.182  2007/09/20 12:32:59  sls
- ver. 2.2.0

Revision 1.181  2007/09/08 20:09:34  rotom
- up to 2.1.1

Revision 1.180  2007/08/08 08:19:22  qrczak
- Removed excessive %attr inserted by adapter.

Revision 1.179  2007/08/06 16:26:13  deejay1
- add missing %{_libdir}/gnt

Revision 1.178  2007/08/06 16:20:00  deejay1
- up to 2.1.0 [fixes CVE-2007-3841], rel. 0.1
- adapterized

Revision 1.177  2007/07/16 11:52:06  czarny
- up to 2.0.2
- gtkbuddynote.so added
- .pcklist added to perl subpackage

Revision 1.176  2007/06/27 13:21:17  czarny
- Suggests: cyrus-sasl-digetst-md5; won't connect to PLD's jabber
  without it

Revision 1.175  2007/05/28 13:25:16  patrys
- 2.0.1 [fixes CVE-2008-2956, CVE-2008-2957]

Revision 1.174  2007/05/23 19:07:08  radek
- fix dotnet bcond

Revision 1.173  2007/05/19 20:24:53  qboosh
- unified sasl bcond name

Revision 1.172  2007/05/19 20:06:31  deejay1
- added additional bconds
- use avahi for zeroconf

Revision 1.171  2007/05/10 21:14:21  apollotiger
- bconded silc (1.1 isn't compatible)
- fixed %doc

Revision 1.170  2007/05/10 06:29:03  qboosh
- some files fixes (not sure about bconds)

Revision 1.169  2007/05/10 06:21:38  qboosh
- typo

Revision 1.168  2007/05/09 22:08:02  qboosh
- desc cleanups, no epoch now

Revision 1.167  2007/05/08 22:37:19  czarny
- updated %files, little work more cleanup needed

Revision 1.166  2007/05/04 16:36:39  arekm
- enable silc

Revision 1.165  2007/05/04 15:59:33  arekm
- partial update; files needs huge update

Revision 1.164  2007/03/23 15:30:48  radek
- version 2.0.0 release 1.beta6.3: merged from DEVEL

Revision 1.154.2.28  2007/03/23 15:23:52  radek
- bcond_without meanwhile (BR: meanwhile-devel), BR: rpm-pythonprov

Revision 1.154.2.27  2007/03/23 14:57:38  radek
- BR: intltool, bind-devel

Revision 1.154.2.26  2007/02/15 14:56:14  qrczak
- Added missing libraries.
- Release 1.beta6.2

Revision 1.154.2.25  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.154.2.24  2007/02/09 20:42:12  radek
- version 2.0.0 beta6
- bcond --without cap
- removed -desktop.patch (+- applied)
- update %files (so it can be built using misc --without)

Revision 1.154.2.23  2007/01/12 13:25:35  radek
- release 0._pre.2: bcond_without text for text ui

Revision 1.154.2.22  2006/11/12 18:43:56  rotom
- up to 2.0beta5

Revision 1.154.2.21  2006/10/27 14:03:11  grzegol
- updated to 2.0beta4
- removed outdated libadd patch (applied upstream)

Revision 1.154.2.20  2006/08/24 16:58:20  freetz
- 2.0.0beta3.1, bump numbers to make it upgradeable

Revision 1.154.2.19  2006/08/16 05:32:53  freetz
- reverted bogus change

Revision 1.154.2.18  2006/08/15 22:53:23  czarny
- BR dbus-glib-devel => dbus-devel

Revision 1.154.2.17  2006/08/10 21:12:39  freetz
- rel.2, bleeding edge deps, libadd patch added

Revision 1.154.2.16  2006/06/24 21:54:11  freetz
- remove unsupported locale

Revision 1.154.2.15  2006/04/07 21:50:32  freetz
- updated changelog

Revision 1.154.2.14  2006/04/07 21:49:41  freetz
- 2.0.0beta3, re-enabled dbus (works at last), added libgadu patch
  removed va patch (already included)

Revision 1.154.2.13  2006/02/16 17:47:08  freetz
- disabled dbus support (works propably only in sommer [of code])

Revision 1.154.2.12  2006/02/16 14:53:50  freetz
- oops, one more dbus fix

Revision 1.154.2.11  2006/02/16 14:40:29  freetz
- fix dbus services dir

Revision 1.154.2.10  2006/02/16 11:39:34  freetz
- allow use of avahi-compat-howl

Revision 1.154.2.9  2006/02/07 17:48:44  glen
- add dbus dir patch

Revision 1.154.2.8  2006/01/25 12:24:15  qboosh
- fixed files inconsistency

Revision 1.154.2.7  2006/01/25 07:27:56  aredridel
- up to 2.0.0beta2

Revision 1.154.2.6  2006/01/03 14:27:44  glen
- fixed broken dbus build, added dbus bcond

Revision 1.154.2.5  2006/01/03 13:35:24  glen
- BR gettext-autopoint

Revision 1.154.2.4  2005/12/19 21:07:30  qboosh
- BR: dbus-glib-devel

Revision 1.154.2.3  2005/12/19 20:55:46  qboosh
- added va patch

Revision 1.154.2.2  2005/12/19 15:25:00  freetz
- 2.0.0beta1, BR/R/file list updated, dropped gtk-ui, added libs subpkg,
  dbus stuff not packaged yet

Revision 1.154.2.1  2005/08/02 21:33:37  freetz
- 2.0.0 devel series - 20050802 snap
